package com.docus.server.sys.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.server.sys.common.pojo.dto.DeptModifyParam;
import com.docus.server.sys.common.pojo.entity.PowerDept;

public interface IPowerDeptDao extends IBaseDao<PowerDept> {

    PowerDept getDeptByDeptCode(String deptCode);

    void addDept(DeptModifyParam deptModifyParam);

    void updateDept(DeptModifyParam deptModifyParam);

    void delDeptByDeptCode(String deptCode);
}
